define(["require", "exports", "../../../Styling", "../../../Utilities", "../BaseButton.styles", "../SplitButton/SplitButton.styles"], function (require, exports, Styling_1, Utilities_1, BaseButton_styles_1, SplitButton_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DEFAULT_BUTTON_HEIGHT = '32px';
    var DEFAULT_PADDING = '0 4px';
    exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles) {
        var baseButtonStyles = BaseButton_styles_1.getStyles(theme);
        var splitButtonStyles = SplitButton_styles_1.getStyles(theme);
        var iconButtonStyles = {
            root: {
                padding: '0 4px',
                width: '32px',
                height: '32px',
                backgroundColor: 'transparent'
            },
            rootHovered: {
                color: theme.palette.themeDarker
            },
            rootPressed: {
                color: theme.palette.themePrimary
            },
            rootExpanded: {
                color: theme.palette.themePrimary
            },
            rootChecked: {
                backgroundColor: theme.palette.neutralTertiaryAlt,
            },
            rootCheckedHovered: {
                backgroundColor: theme.palette.neutralLight
            },
            rootDisabled: {
                color: theme.palette.neutralTertiary
            }
        };
        return Styling_1.mergeStyleSets(baseButtonStyles, iconButtonStyles, splitButtonStyles, customStyles);
    });
});

//# sourceMappingURL=IconButton.styles.js.map
