import * as PropTypes from 'prop-types';
import { BaseComponent } from '../../Utilities';
import { IStickyProps } from './Sticky.Props';
export interface IStickyState {
    isStickyTop: boolean;
    isStickyBottom: boolean;
    placeholderHeight?: number;
}
export interface IStickyContext {
    scrollablePane: PropTypes.Requireable<object>;
}
export declare class Sticky extends BaseComponent<IStickyProps, IStickyState> {
    static defaultProps: IStickyProps;
    static contextTypes: IStickyContext;
    refs: {
        root: HTMLElement;
        placeholder: HTMLElement;
    };
    context: {
        scrollablePane: {
            subscribe: (handler: Function) => void;
            addStickyHeader: (sticky: Sticky) => void;
            removeStickyHeader: (sticky: Sticky) => void;
            addStickyFooter: (sticky: Sticky) => void;
            removeStickyFooter: (sticky: Sticky) => void;
        };
    };
    content: HTMLElement;
    constructor(props: IStickyProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IStickyProps, prevState: IStickyState): void;
    shouldComponentUpdate(nextProps: IStickyProps, nextState: IStickyState): boolean;
    setPlaceholderHeight(height: number): void;
    render(): JSX.Element;
    private _onScrollEvent(headerBound, footerBound);
    private _setSticky(callback);
    private _resetSticky(callback);
    private _getBackground();
}
